Bug 849117 - Gears in the same gear group does not have the same quota
Gears in the same gear group does not have the same quota
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 07:15 EDT by Johnny Liu
Modified: 2015-05-14 22:03 EDT (History)
0 users

See Also:
Fixed In Version: devenv_2022
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-08-17 07:15:09 EDT
Description of problem:
After execute scale-up, set-quota, scale-up, found gears in the same gear group does not have the same qutoa

Version-Release number of selected component (if applicable):
devenv_2011

How reproducible:
Always

Steps to Reproduce:
1.Create a scalbe app
2.Scale up for 2 times
3.Call rest api to set quota to 3G for web gear groups
4.Veriy that 3 gears qutoa in the same gear group have the same quota after logging into instance
[root@ip-10-226-102-253 ~]# repquota -a
<--snip-->
1e2765b928f848dabbbf2555bbb03a56 --     680       0 1048576            174     0 40000       
5cca74d05c1c488784adc6b870f26bd9 --     640       0 3145728            162     0 40000       
88903e9612f642758d69c70863bfbc30 --     636       0 3145728            163     0 40000       
0c63a25534fe4c52baba3cdccbed6a04 --     636       0 3145728            161     0 40000 
5.Scale up one more time.
6. Check gears qutoa in the same gear group
[root@ip-10-226-102-253 ~]# repquota -a
<--snip-->
1e2765b928f848dabbbf2555bbb03a56 --     672       0 1048576            176     0 40000       
5cca74d05c1c488784adc6b870f26bd9 --     640       0 3145728            162     0 40000       
88903e9612f642758d69c70863bfbc30 --     636       0 3145728            163     0 40000       
0c63a25534fe4c52baba3cdccbed6a04 --     636       0 3145728            161     0 40000       
484a5e1f853245a2b0c42c17049203d6 --     332       0 2097152            159     0 40000       
7.Scale again
8.Check quota again
[root@ip-10-226-102-253 ~]# repquota -a
<--snip-->
1e2765b928f848dabbbf2555bbb03a56 --     672       0 1048576            176     0 40000       
5cca74d05c1c488784adc6b870f26bd9 --     640       0 3145728            162     0 40000       
88903e9612f642758d69c70863bfbc30 --     636       0 3145728            163     0 40000       
0c63a25534fe4c52baba3cdccbed6a04 --     636       0 3145728            161     0 40000       
484a5e1f853245a2b0c42c17049203d6 --     332       0 2097152            159     0 40000       
6a53eaf44e9c4758a059855a06c7880c --     368       0 1048576            159     0 40000
9. Wait for a moment, only one gear will be left.
10. Check again, found that only left gear does not have 3G qutoa.
[root@ip-10-226-102-253 ~]# repquota -a
1e2765b928f848dabbbf2555bbb03a56 --     736       0 1048576            175     0 40000       
c5cc42e23aba4a318f7fd77c799f8ca1 --     700       0 1048576            159     0 40000    

  
Actual results:
During scale-up, set-quota, scale-up, found gears in the same gear group does not have the same qutoa

Expected results:
All gears in the same gear group should have the same quota

Additional info:
Comment 1 Abhishek Gupta 2012-08-17 14:31:19 EDT
https://github.com/openshift/crankcase/pull/399
Comment 2 Johnny Liu 2012-08-19 22:53:09 EDT
Verified this bug with devenv_2029, and PASS.

Note You need to log in before you can comment on or make changes to this bug.